org.apache.cassandra.io.sstable

## Enum Descriptor.Type

- java.lang.Object
- - java.lang.Enum<Descriptor.Type>
  - - org.apache.cassandra.io.sstable.Descriptor.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Descriptor.Type>

Enclosing class:
  Descriptor

    public static enum Descriptor.Type
    extends java.lang.Enum<Descriptor.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FINAL`
`TEMP`
`TEMPLINK`

### Field Summary

Fields
`boolean` `isTemporary`
`java.lang.String` `marker`

### Method Summary

All Methods Static Methods Concrete Methods
`static Descriptor.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Descriptor.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TEMP

    public static final Descriptor.Type TEMP

#### TEMPLINK

    public static final Descriptor.Type TEMPLINK

#### FINAL

    public static final Descriptor.Type FINAL

### Field Detail

#### isTemporary

    public final boolean isTemporary

#### marker

    public final java.lang.String marker

### Method Detail

#### values

    public static Descriptor.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Descriptor.Type c : Descriptor.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Descriptor.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null